# Test Datasets

## aapl.csv
Yahoo! Finance
https://finance.yahoo.com/lookup

## alphabet.csv
*Cryptographical Mathematics* by Robert Edward Lewand
http://cs.wellesley.edu/~fturbak/codman/letterfreq.html

## anscombe.csv
Anscome’s quartet
https://en.wikipedia.org/wiki/Anscombe%27s_quartet

## athletes.csv
Matt Riggott/IOC
https://www.flother.is/2017/olympic-games-data/

## barley.csv
http://search.r-project.org/R/library/lattice/html/barley.html

## beagle.csv
https://observablehq.com/@bmschmidt/data-driven-projections-darwins-world

## bls-metro-unemployment.csv
Bureau of Labor Statistics
https://www.bls.gov/

## ca55-south.csv
Great Britain aeromagnetic survey
https://www.bgs.ac.uk/datasets/gb-aeromagnetic-survey/

## cars.csv
1983 ASA Data Exposition
http://lib.stat.cmu.edu/datasets/

## cities-10k.csv
Geonames
https://www.geonames.org/about.html
https://public.opendatasoft.com/explore/dataset/geonames-all-cities-with-a-population-1000/

## civilizations.csv
unknown

## covid-ihme-projected-deaths.csv
Institute for Health Metrics and Evaluation
https://covid19.healthdata.org/

## countries-50m.json
World Atlas TopoJSON 2.0.2
https://github.com/topojson/world-atlas

## countries-110m.json
World Atlas TopoJSON 2.0.2
https://github.com/topojson/world-atlas

## d3-survey-2015.json
D3 Community Survey, 2015
https://github.com/enjalot/d3surveys

## decathlon.csv
Sample of decathlon dataset from JMP Statistical Discovery (http://www.jmp.com).
https://github.com/hemanrobinson/preattentive/blob/a58dd4795d0ee063a38a2d7bf33812d969ca6256/src/Data.js#L5598-L5650

## diamonds.csv
ggplot2 “diamonds” dataset (carat and price columns only)
https://github.com/tidyverse/ggplot2/blob/master/data-raw/diamonds.csv

## dji.csv
Dow Jones Industrial Average daily data
Yahoo! Finance

## driving.csv
Based on Hannah Fairfield’s Driving Shifts Into Reverse
https://archive.nytimes.com/www.nytimes.com/imagepages/2010/05/02/business/02metrics.html

## download.csv
Daily downloads of the npm “@observablehq/cars” package
https://observablehq.com/@mbostock/npm-daily-downloads?name=@observablehq/cars

## electricity-demand.csv
Hourly electricity demand for California from the U.S. Energy Information Administration, Jan. 2021
https://www.eia.gov/opendata/

## energy-production.csv
U.S. Energy Information Administration; monthly energy review, primary energy production by source, Jan. 2022
https://www.eia.gov/totalenergy/data/monthly/index.php

## federal-funds.csv
U.S. Federal Reserve, Jan. 2023
https://www.federalreserve.gov/releases/h15/

## flare.csv
Flare visualization toolkit package hierarchy
https://observablehq.com/@d3/treemap

## gistemp.csv
NASA Goddard Institute for Space Studies
https://data.giss.nasa.gov/gistemp/

## hadcrut-annual.txt
Met Office Hadley Centre
https://www.metoffice.gov.uk/hadobs/hadcrut4/data/current/series_format.html

## ilc_lvps08.csv
“Share of young adults aged 18-34 living with their parents”, Eurostat
https://ec.europa.eu/eurostat/databrowser/view/ILC_LVPS08__custom_7530569/default/table?lang=en

## ipos.csv
“The Facebook Offering: How It Compares”, The New York Times
https://archive.nytimes.com/www.nytimes.com/interactive/2012/05/17/business/dealbook/how-the-facebook-offering-compares.html?hp

## libor.csv
CBO
https://www.cbo.gov/topics/budget/accuracy-projections
https://observablehq.com/@tophtucker/examples-of-bitemporal-charts

## metros.csv
The New York Times
https://www.nytimes.com/2019/12/02/upshot/wealth-poverty-divide-american-cities.html

## miserables.json
Character interactions in the chapters of “Les Miserables”, Donald Knuth, Stanford Graph Base
https://www-cs-faculty.stanford.edu/~knuth/sgb.html

## mtcars.csv
1974 *Motor Trend* US magazine
https://www.rdocumentation.org/packages/datasets/versions/3.6.2/topics/mtcars

## moby-dick-chapter-1.txt
*Moby Dick; or The Whale* by Herman Melville
https://www.gutenberg.org/files/2701/2701-h/2701-h.htm

## morley.csv
Michelson Speed of Light Data
https://github.com/vincentarelbundock/Rdatasets/blob/master/csv/datasets/morley.csv

## movies.json
Vega
https://github.com/vega/vega-datasets/blob/master/SOURCES.md#moviesjson

## MYDAL2_M_SKY_WV_2022-11-01_rgb_360x180.csv
Aqua/MODIS water vapor, NASA Earth Observations
https://neo.gsfc.nasa.gov/view.php?datasetId=MYDAL2_M_SKY_WV

## nc-absentee-votes.csv
unknown

## penguins.csv
Dr. Kristen Gorman
https://github.com/allisonhorst/palmerpenguins

## povcalnet.csv
Our World in Data
https://ourworldindata.org/poverty-minimum-growth-needed

## seattle-weather.csv
NOAA/Vega
https://github.com/vega/vega-datasets/blob/master/scripts/weather.py

## sf-temperatures.csv
National Climatic Data Center
https://www.ncdc.noaa.gov/

## sf-sj-temperatures.csv
National Climatic Data Center - Climatic Data Online
https://www.ncei.noaa.gov/cdo-web/

## simpsons.csv
IMDb/Todd W. Schneider
https://data.world/data-society/the-simpsons-by-the-data

## survey.csv
Eitan Lees
https://talk.observablehq.com/t/diverging-stacked-bar-chart-in-plot/6028

## tdf-stage-8-2017.csv
2017 Tour de France Stage 8 elevation profile
Unknown

## traffic.csv
Christopher Möller
https://gist.github.com/chrtze/c74efb46cadb6a908bbbf5227934bfea

## travelers.csv
TSA
https://www.tsa.gov/coronavirus/passenger-throughput

## tsa.csv
TSA
https://www.tsa.gov/travel/passenger-volumes

## us-congress-2023.csv
Members of U.S. Congress, April 2023
https://github.com/unitedstates/congress-legislators

## us-counties-10m.json
U.S. Atlas TopoJSON 3.0.0
https://github.com/topojson/us-atlas

## us-county-unemployment.csv
U.S. Bureau of Labor Statistics, 2016
https://www.bls.gov/lau/tables.htm

## us-state-capitals.csv
Unknown origin

## us-population-state-age.csv
U.S. Census Bureau
https://observablehq.com/@d3/barcode-plot

## us-president-favorability.csv
YouGov (polling data) and Wikipedia (presidential portraits)
https://today.yougov.com/topics/politics/articles-reports/2021/07/27/most-and-least-popular-us-presidents-according-ame
https://en.wikipedia.org/wiki/List_of_presidents_of_the_United_States

## us-presidential-election-2020.csv
Fabio Votta/Edison Research/NYT
https://github.com/favstats/USElection2020-EdisonResearch-Results

## us-retail-sales.csv
U.S. Census Bureau
https://www.census.gov/retail/mrts/historic_releases.html

## us-state-population-2010-2019.csv
U.S. Census Bureau (?)
https://observablehq.com/@d3/diverging-bar-chart

## walmarts.tsv
Thomas J. Holmes, University of Minnesota, Federal Reserve Bank of Minneapolis, and NBER
https://users.econ.umn.edu/~holmes/data/WalMart/

## water-vapor.csv
NASA Earth Observations
https://neo.gsfc.nasa.gov/view.php?datasetId=MYDAL2_M_SKY_WV

## wealth-britain.csv
U.K. Office for National Statistics
A recreation of “Who owns Britain?” by Richard Speigal; proportion plot chart type by Stephanie Evergreen
https://www.linkedin.com/feed/update/urn:li:activity:6758306750174138368/
https://stephanieevergreen.com/proportion-plots/

## westport-house.json
Second floor of the Westport House in Dundee, Ireland
https://github.com/wrld3d/wrld-indoor-maps-api

## wind.csv
Gridded wind data
https://github.com/gicentre/litvis/blob/main/examples/windVectors.md
https://www.remss.com/measurements/ccmp/
